Find the answer to your Linux question:
Results 1 to 4 of 4
Hi all, I am getting fallowing error while running make command. I am installing QT2.2 on fedora 9 /usr/bin/ld: cannot find -lqt-mt collect2: ld returned 1 exit status Kindly suggest ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jul 2009
    Posts
    16

    error while installing Qt 2.2


    Hi all,

    I am getting fallowing error while running make command.
    I am installing QT2.2 on fedora 9

    /usr/bin/ld: cannot find -lqt-mt
    collect2: ld returned 1 exit status

    Kindly suggest what is missing

    Thank you in advance

    John

  2. #2
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    Fedora 9 is old, but not that old. Qt 2.2 was released in what, 2000? I would imagine you'd have serious difficulties comiling such ancient code on any reasonably modern distro.

    Why not look into qt 4.5? (And upgrading to the latest Fedora?)

  3. #3
    Just Joined!
    Join Date
    Jul 2009
    Posts
    16
    Thanks for your reply,

    I am getting same error in Fedora10 also.

  4. $spacer_open
    $spacer_close
  5. #4
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    Qt 2.2 was released in what, 2000? I would imagine you'd have serious difficulties compiling such ancient code on any reasonably modern distro.
    How To Ask Questions The Smart Way

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •